Bug 68508 - gdb doesn't remove breakpoints from forked child processes
gdb doesn't remove breakpoints from forked child processes
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 15:22 EDT by Jonathan Kamens
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 04:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program (117 bytes, text/plain)
2002-08-04 21:46 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2002-07-10 15:22:34 EDT
Compile the attached test program with "gcc -g".  Run gdb with it, type "break
9" and then type "run".  When you hit the breakpoint, type "continue".

You'll see one line of output, from the parent.  You should see two, one from
the parent and one from the child.  You'll also see a core file generated, and
if you load that core file into gdb, you'll see that it came from a
trace/breakpoint trap.

The problem here is that gdb apparently doesn't remove trace/breakpoints from
detached child processes.

I think this bug goes back for several RH releases, i.e., I don't think it's new
in the current rawhide, but it still seems pretty severe.
Comment 1 Trond Eivind Glomsrxd 2002-07-10 15:53:44 EDT
There is no attachment here... also, make sure to get gdb 5.2 from Rawhide as
that's what's current.

We don't change gdb, so it  wouldn't be a Red Hat bug if it actually is one...
Comment 2 Trond Eivind Glomsrxd 2002-08-02 15:49:17 EDT
Closing for inactivity - reopen with data if needed.
Comment 3 Jonathan Kamens 2002-08-04 21:46:12 EDT
Created attachment 68844 [details]
test program
Comment 4 Jonathan Kamens 2002-08-04 21:49:28 EDT
Sorry I forgot to attach the test program before.  You should have been able to
construct it yourself pretty easily, given my description of the bug :-).

I am using gdb-5.2.1-1, and it exhibits this bug.

Note that I never got E-mail about the comment you appended to this ticket on
July 10.  I got E-mail on August 2 about the bug, and the diff in that E-mail
showed that *both* your comment from July 10 and the one from August 2 were added.

I seem to recall reading that there was some confusion in bugzilla about email
notices of bug changes.  I hope this confusion has been resolved.

I fail to see how it's relevant that "We don't change gdb, so it  wouldn't be a
Red Hat bug if it actually is one..."  I am under the impression that you track
bugs in your packages even when you didn't introduce them, and that when a
sufficiently complicated bug is introduced into a package you ship, you might
actually devote development time to finding a fix.  At the very least, I thought
you forward bug reports upstream so that people can just report bugs in Red Hat
packages to you rather than guessing whether they need to report them to you or
the upstream maintainers.
Comment 5 Bill Nottingham 2006-08-07 21:36:50 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 6 Jonathan Kamens 2006-08-10 04:15:33 EDT
This is no longer an issue in gdb-6.3.0.0-1.131.FC6.  I don't know exactly when
it was fixed.

Note You need to log in before you can comment on or make changes to this bug.